<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/fl_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <!--suppress AndroidElementNotAllowed -->
        <ProgressBar
            android:id="@+id/progressbar"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_gravity="center"
            android:indeterminateTint="#0066FD" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

    </FrameLayout>

    <LinearLayout
        android:id="@+id/fl_permission"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageView
            android:layout_width="290dp"
            android:layout_height="130dp"
            android:src="@drawable/authorizationtu"
            tools:ignore="ContentDescription" />

        <TextView

            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="24dp"
            android:text="@string/grant_permissions_to_check"
            android:textColor="#5B4FFF"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/tv_authorization"
            android:layout_width="289dp"
            android:layout_height="50dp"
            android:layout_marginTop="28dp"
            android:background="#4078FF"
            android:gravity="center"
            android:text="@string/authorization"
            android:textColor="@color/white"
            android:textSize="19sp"
            android:textStyle="bold" />

    </LinearLayout>

</FrameLayout>